# Uses of Class
org.apache.sling.testing.mock.sling.servlet.MockSlingJakartaHttpServletRequest

Packages that use MockSlingJakartaHttpServletRequest
Package
Description
org.apache.sling.testing.mock.sling.context
Sling context implementation for unit tests.
org.apache.sling.testing.mock.sling.servlet
Mock implementation of selected Servlet-related Sling APIs.

## Uses of MockSlingJakartaHttpServletRequest in org.apache.sling.testing.mock.sling.context

Fields in org.apache.sling.testing.mock.sling.context declared as MockSlingJakartaHttpServletRequest
Modifier and Type
Field
Description
`protected MockSlingJakartaHttpServletRequest`
SlingContextImpl.`jakartaRequest`
Sling jakarta request
Methods in org.apache.sling.testing.mock.sling.context that return MockSlingJakartaHttpServletRequest
Modifier and Type
Method
Description
`final @NotNull MockSlingJakartaHttpServletRequest`
SlingContextImpl.`jakartaRequest()`

## Uses of MockSlingJakartaHttpServletRequest in org.apache.sling.testing.mock.sling.servlet

Constructors in org.apache.sling.testing.mock.sling.servlet with parameters of type MockSlingJakartaHttpServletRequest
Modifier
Constructor
Description
``
`MockSlingHttpServletRequest(@NotNull MockSlingJakartaHttpServletRequest jakartaRequest)`
Deprecated.